import * as ambassadorWixFunctionsV1BuilderlessProduction from './functions-v1-builderless-production-function-builderless-productions.http.js';
export function createFunctionBuilderlessProduction() {
    const payload = {};
    const getRequestOptions = ambassadorWixFunctionsV1BuilderlessProduction.createFunctionBuilderlessProduction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/function-builderless-productions',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getFunctionBuilderlessProduction() {
    const payload = { functionId: ':functionId' };
    const getRequestOptions = ambassadorWixFunctionsV1BuilderlessProduction.getFunctionBuilderlessProduction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/function-builderless-productions/{functionId}',
        pathParams: { functionId: 'functionId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function updateFunctionBuilderlessProduction() {
    const payload = {
        functionBuilderlessProduction: { id: ':functionBuilderlessProductionId' },
    };
    const getRequestOptions = ambassadorWixFunctionsV1BuilderlessProduction.updateFunctionBuilderlessProduction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/function-builderless-productions/{functionBuilderlessProduction.id}',
        pathParams: {
            functionBuilderlessProductionId: 'functionBuilderlessProductionId',
        },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function deleteFunctionBuilderlessProduction() {
    const payload = { functionId: ':functionId' };
    const getRequestOptions = ambassadorWixFunctionsV1BuilderlessProduction.deleteFunctionBuilderlessProduction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/function-builderless-productions/{functionId}',
        pathParams: { functionId: 'functionId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=functions-v1-builderless-production-function-builderless-productions.meta.js.map