"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteFunctionBuilderlessProduction = exports.updateFunctionBuilderlessProduction = exports.getFunctionBuilderlessProduction = exports.createFunctionBuilderlessProduction = void 0;
const ambassadorWixFunctionsV1BuilderlessProduction = __importStar(require("./functions-v1-builderless-production-function-builderless-productions.http.js"));
function createFunctionBuilderlessProduction() {
    const payload = {};
    const getRequestOptions = ambassadorWixFunctionsV1BuilderlessProduction.createFunctionBuilderlessProduction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/function-builderless-productions',
        pathParams: {},
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createFunctionBuilderlessProduction = createFunctionBuilderlessProduction;
function getFunctionBuilderlessProduction() {
    const payload = { functionId: ':functionId' };
    const getRequestOptions = ambassadorWixFunctionsV1BuilderlessProduction.getFunctionBuilderlessProduction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/function-builderless-productions/{functionId}',
        pathParams: { functionId: 'functionId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getFunctionBuilderlessProduction = getFunctionBuilderlessProduction;
function updateFunctionBuilderlessProduction() {
    const payload = {
        functionBuilderlessProduction: { id: ':functionBuilderlessProductionId' },
    };
    const getRequestOptions = ambassadorWixFunctionsV1BuilderlessProduction.updateFunctionBuilderlessProduction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/function-builderless-productions/{functionBuilderlessProduction.id}',
        pathParams: {
            functionBuilderlessProductionId: 'functionBuilderlessProductionId',
        },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updateFunctionBuilderlessProduction = updateFunctionBuilderlessProduction;
function deleteFunctionBuilderlessProduction() {
    const payload = { functionId: ':functionId' };
    const getRequestOptions = ambassadorWixFunctionsV1BuilderlessProduction.deleteFunctionBuilderlessProduction(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/function-builderless-productions/{functionId}',
        pathParams: { functionId: 'functionId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteFunctionBuilderlessProduction = deleteFunctionBuilderlessProduction;
//# sourceMappingURL=functions-v1-builderless-production-function-builderless-productions.meta.js.map